deploy: replace e2e tests with screentest

Replaced the e2e check in the deploy.yaml config.

Change-Id: I9cd3e2beed9b729bbfe5f28f049ea848b1ad8976
Reviewed-on: https://go-review.googlesource.com/c/pkgsite/+/382034
Trust: Jamal Carvalho <jamal@golang.org>
Run-TryBot: Jamal Carvalho <jamal@golang.org>
TryBot-Result: kokoro <noreply+kokoro@google.com>
Reviewed-by: Jonathan Amsterdam <jba@google.com>
diff --git a/deploy/deploy.yaml b/deploy/deploy.yaml
index 1fb084a50..d8715b0 100644
--- a/deploy/deploy.yaml
+++ b/deploy/deploy.yaml
@@ -52,9 +52,9 @@
     entrypoint:  deploy/pagecheck.sh
     args:
       - staging
-  - id: e2e - staging
+  - id: screentest - staging
     name: gcr.io/$PROJECT_ID/docker-compose
-    entrypoint: deploy/e2e.sh
+    entrypoint: deploy/screentest.sh
     args:
       - staging
     env:
diff --git a/deploy/screentest.sh b/deploy/screentest.sh
new file mode 100755
index 0000000..0a469fb
--- /dev/null
+++ b/deploy/screentest.sh
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+set -e
+
+# Copyright 2021 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+source private/devtools/lib.sh || { echo "Are you at repo root?"; exit 1; }
+
+usage() {
+  >&2 cat <<EOUSAGE
+
+  Usage: $0 [exp|dev|staging|prod|beta] IDTOKEN
+
+  Run the screentest check against a live instance of the given environment.
+  These tests will only pass against staging and prod.
+
+EOUSAGE
+  exit 1
+}
+
+main() {
+  local env=$1
+  local idtoken=$2
+  check_env $env
+  if [ -z $idtoken ]; then
+    idtoken=$(cat _ID_TOKEN)
+  fi
+  ./tests/screentest/run.sh --idtoken $idtoken $env
+}
+
+main $@